/*
-----------------------------------------------------------------------------
This AREXX Script will turn ADPro's palette to locked. The locking-palette
must be specified by the user in the argument.

Host address: ADPro (Art Department Professional   ASDG)
Written by Jan Van Overbeke, 3-DEE, 1993.
Read the AREXX-Scripti doc, for more info about operation and rights!
-----------------------------------------------------------------------------
*/

arg filename
if ~ exists(filename) then do
	say 'Unable to find the image/palette!'
	say 'See Ya.....'
	say ''
	exit
	end

address 'ADPro'
say 'LockPalette: Written by JAN VAN OVERBEKE, 3-DEE, 1993.'
say 'IMAGE: '||filename
say ''

say 'Loading palette....'
pLOAD filename
if RC~=0 then do
	say 'Unable to load the palette!'
	say 'See Ya......'
	say ''
	exit
	end

PSTATUS 'LOCKED'
if RC~=0 then do
	say 'Unable to turn to palette to locked!'
	say 'See Ya.....'
	say ''
	exit
	end

say 'Done..........'
say ''
exit
